clear; clc;
close all;
prob=input('enter the problem type :') ;
% Save images or not
sv = 0 ;
% sv = 1 ;
% for prob =1:4

% grid size
hx = 0.06 ;
hy = 0.06 ;


switch prob
    case 1
        a_in=1;nu=0.001;sigma=0.001;source=0;
    case 2
        a_in=0.001;nu=0.001;sigma=1;source=0;
    case 3
        a_in=1;nu=0.001;sigma=0;source=1;
    case 4
        a_in=1;nu=0.001;sigma=1;source=0;
    case 5
        a_in=1;nu=0;sigma=0;source=0;
end
um = cell(3) ;
for i =0:2
    method = i;
    main_driver
    um{i+1} = sol ;
end
er = norm(um{1}-um{2})/norm(um{2});
% end